%define upstream_name    CGI-Session
%define upstream_version 4.48

%define _requires_exceptions perl(DBD::Pg)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Persistent session data in CGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.260.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description 
CGI-Session is a Perl5 library that provides an easy, reliable and
modular session management system across HTTP requests. Persistency is a
key feature for such applications as shopping carts,
login/authentication routines, and application that need to carry data
accross HTTP requests. CGI::Session does that and many more 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f  t/g4_mysql.t # no database available for testing
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%files
%doc Changes INSTALL META.json META.yml README examples
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.480.0-2.mga3
+ Revision: 363553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 4.48

* Wed Jul 13 2011 jquelin <jquelin> 4.470.0-1.mga2
+ Revision: 123631
- update to 4.47

* Fri Jul 08 2011 jquelin <jquelin> 4.450.0-1.mga2
+ Revision: 120367
- update to 4.45

* Wed Feb 16 2011 jquelin <jquelin> 4.430.0-1.mga1
+ Revision: 52435
- update to 4.43

* Sun Jan 23 2011 jquelin <jquelin> 4.420.0-1.mga1
+ Revision: 33592
- mageia rebuild
- imported package perl-CGI-Session

